petsc-3.6.2 2015-10-02
Report Typos and Errors

# VecDestroyVecs

Frees a block of vectors obtained with VecDuplicateVecs().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDestroyVecs(PetscInt m,Vec *vv[])

Collective on Vec

### Input Parameters

| vv | - pointer to pointer to array of vector pointers, if NULL no vectors are destroyed
| m | - the number of vectors previously obtained, if zero no vectors are destroyed

### Fortran Note

The Fortran interface is slightly different from that given below. See the Fortran chapter of the users manual

### See Also

VecDuplicateVecs(), VecDestroyVecsf90()

Level:intermediate
Location:src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html